#include "Browse For File.h"

// get file name/path of any file into a text box.
void GetFilePath(HWND hwnd,HWND hTextBox)
{
	OPENFILENAME ofn;
	char szFile[MAX_PATH];

	ZeroMemory(&ofn, sizeof(ofn));
	szFile[0]=0;

	ofn.lpstrFile = szFile;
	ofn.lStructSize = sizeof(ofn);
	ofn.hwndOwner = hwnd;
	ofn.lpstrFile[0] = '\0';
	ofn.nMaxFile = sizeof(szFile);
	ofn.nFilterIndex = 1;
	ofn.lpstrFileTitle = NULL;
	ofn.nMaxFileTitle = 0;
	ofn.lpstrInitialDir = NULL;
	ofn.lpstrFilter ="All Files (*.*)\0*.*\0\0";// user can select any file type.
	ofn.Flags = OFN_PATHMUSTEXIST | OFN_FILEMUSTEXIST |OFN_HIDEREADONLY;
	ofn.lpstrTitle="Select a File...";
		
		// show open dialog
		if (GetOpenFileName(&ofn)==TRUE)
			SetWindowText(hTextBox,szFile);// set text box text to file name/path.
	
}
// A project by Muhammad Arshad Latti
